Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefTypeImplTestCase

    public class ServiceRefTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ServiceRefTypeImplTestCase()`

Method Summary
`void` | `testHandler()`
`void` | `testHandlerChains()`
`void` | `testJaxrpcMappingFile()`
`void` | `testPortComponentRef()`
`void` | `testServiceInterface()`
`void` | `testServiceQname()`
`void` | `testServiceRefName()`
`void` | `testServiceRefType()`
`void` | `testWsdlFile()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefTypeImplTestCase

    public ServiceRefTypeImplTestCase()

Method Detail

### testServiceRefName

    public void testServiceRefName()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceInterface

    public void testServiceInterface()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceRefType

    public void testServiceRefType()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWsdlFile

    public void testWsdlFile()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJaxrpcMappingFile

    public void testJaxrpcMappingFile()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceQname

    public void testServiceQname()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPortComponentRef

    public void testPortComponentRef()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHandler

    public void testHandler()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHandlerChains

    public void testHandlerChains()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD